SCMAdminProtocolPBServiceImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.impl.pb.service, class: SCMAdminProtocolPBServiceImpl

Package org.apache.hadoop.yarn.server.api.impl.pb.service

# Class SCMAdminProtocolPBServiceImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.impl.pb.service.SCMAdminProtocolPBServiceImpl

All Implemented Interfaces:
  `org.apache.hadoop.yarn.proto.SCMAdminProtocol.SCMAdminProtocolService.BlockingInterface`, `org.apache.hadoop.yarn.server.api.SCMAdminProtocolPB`

public class SCMAdminProtocolPBServiceImpl extends Object implements org.apache.hadoop.yarn.server.api.SCMAdminProtocolPB

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SCMAdminProtocolPBServiceImpl(org.apache.hadoop.yarn.server.api.SCMAdminProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskResponseProto`
  `runCleanerTask(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskRequestProto proto)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SCMAdminProtocolPBServiceImpl

    public SCMAdminProtocolPBServiceImpl(org.apache.hadoop.yarn.server.api.SCMAdminProtocol impl)

- ## Method Details

  - ### runCleanerTask

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskResponseProto runCleanerTask(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `runCleanerTask` in interface `org.apache.hadoop.yarn.proto.SCMAdminProtocol.SCMAdminProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`